<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_5e9a99dc0dd49b907abf1b35e96" . "965f8" => base64_decode("dHJpbQ=" . "="), "_927fa79e65e272737620f5a8" . "63f058ae" => base64_decode("L2NhY2hl" . "X2NsZWFy" . "ZWQuZGF0"), "_ca831b25ce7fffe" . "a9cf441f762c7d15" . "4" => base64_decode("ZmlsZV9le" . "GlzdHM="), "_8a36a84baeffc0085672" . "f9bf9c064f67" => base64_decode("ZmlsZV9wdXRfY29u" . "dGVudHM="), "_644b798b1" . "9dd133ec92" . "11fb916df0" . "32b" => base64_decode("ZmlsZV9nZXRfY29u" . "dGVudHM="), "_72f158ad" . "d48659f67" . "a9df82de6" . "646312" => base64_decode("c3lzdGVt" . "X2NhY2hl" . "X2NsZWFy" . "ZWQ="), "_19d1237a619f7b35ad6dbebf025f" . "17c8" => base64_decode("c3Ry" . "Y21w"), "_2d885755f5913deb2" . "b5a483bd67611d1" => base64_decode("Y2ZnX2xvY2F" . "sX2RhdGFfZG" . "ly"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2d885755f5913deb2b5" . "a483bd67611d1"]) . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_927fa79e65e272737620f5a863" . "f058ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_72f158add48659f67a" . "9df82de6646312"], false);
        if ($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ca831b25ce7fffea9cf4" . "41f762c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5e9a99dc" . "0dd49b907" . "abf1b35e9" . "6965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_644b798b19dd133ec9211fb916df032" . "b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_19d1237a61" . "9f7b35ad6db" . "ebf025f17c8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8a36a84b" . "aeffc0085" . "672f9bf9c" . "064f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_72f158add4865" . "9f67a9df82de66" . "46312"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}